For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Online API
    • API Environments
    • Direct Payment Flow
    • REST
    • HTTPS
    • Dates
    • Pagination
    • Authentication
    • Idempotent Requests
    • Timeouts
    • API Simulator
  • Models
    • Introduction
    • Contact Object
    • Consumer Object
    • Discount Object
    • Item Object
    • Money Object
    • Order Details Object
    • Payment Object
    • Refund Object
    • Shipping Courier Object
  • Service Status
    • GETPing
  • Configuration
    • GETGet Configuration
  • Orders
    • Introduction
    • GETGet Order
    • POSTCreate Order
  • Javascript afterpay.js
    • Information
    • Redirect Method
  • Payments
    • Introduction
    • POSTCapture Payment
    • PUTUpdate Shipping Courier
    • GETGet Payment By Order ID
    • GETGet Payment By Token
    • GETList Payment(s)
    • POSTCreate Refund
    • PUTUpdate Payment by Order ID
    • POSTReverse Payment By Token
  • Errors
    • Introduction
    • Get Errors
    • Put/Post Errors
  • Reference
LogoLogo
Payments

Update Shipping Courier

PUT
https://global-api-sandbox.afterpay.com/v1/payments/:orderId/courier/environment::environment
PUT
/v1/payments/:orderId/courier/environment::environment
$curl -X PUT https://global-api-sandbox.afterpay.com/v1/payments/orderId/courier/environment:api-sandbox \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{}'
1{}
This endpoint updates an order with shipping courier information. The Afterpay team may utilise this information when providing support. ### Connection Timeouts | Timeout | Time (Seconds) | | ------- | ------------ | | Open | 10 | | Read | 20 |
Was this page helpful?
Previous

Get Payment By Order ID

Next
Built with

This endpoint updates an order with shipping courier information. The Afterpay team may utilise this information when providing support.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

environmentstringRequiredDefaults to api-sandbox

Use api-sandbox for AU/NZ, or api.us-sandbox for US.

orderIdstringRequired
The unique Afterpay Order ID to update.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Request

This endpoint expects an object.
shippedAtstringOptional

The date and time when the order was shipped, in ISO 8601 format.

namestringOptional
The name of the shipping courier.
trackingstringOptional
The shipping tracking number provided by the courier.
prioritystringOptional
The shipping priority. If provided, must be either "STANDARD" or "EXPRESS".

Response

Returns a Payment object in response.

Errors

412
Precondition Failed Error
422
Unprocessable Entity Error